%define major		0
%define libname_orig	lib%{name}
%define libname		%mklibname %{name} 0
%define develname	%mklibname -d %{name}

Name:		codeblocks
Version:	10.05
Release:	%mkrel 2
Summary:	A C++ IDE
Group:		Development/Other
License:	GPLv3
URL:		http://www.codeblocks.org/
Source0:	http://download.berlios.de/codeblocks/%{name}-%{version}-src.tar.bz2
BuildRequires:	zip
BuildRequires:  autoconf
BuildRequires:  wxgtku2.8-devel
BuildRequires:	imagemagick
Suggests:	gcc-c++

%description
Code::Blocks is a free C++ IDE built specifically to meet the most 
demanding needs of its users. It was designed, right from the start, 
to be extensible and configurable.
Built around a plugin framework, Code::Blocks can be extended with 
plugin DLLs. It includes a plugin wizard so you can compile your own
plugins!

%package -n %{libname}
Summary:        Shared library for %{name}
Group:          System/Libraries
Provides:       %{libname_orig} = %{version}-%{release}

%description -n %{libname}
Shared libraries for %{name}.

%package -n %{develname}
Summary:        Development headers for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{libname_orig}-devel = %{version}-%{release}

%description -n %{develname}
Development headers for %{name}.

%prep
%setup -qn %{name}-%{version}-release

%build
%define Werror_cflags %nil
%configure2_5x --with-contrib-plugins=all --with-wx-config=%{_bindir}/wx-config-unicode
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
convert -scale 48x48 src/mime/codeblocks.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert -scale 32x32 src/mime/codeblocks.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 16x16 src/mime/codeblocks.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README AUTHORS BUGS COMPILERS TODO NEWS ChangeLog
%{_bindir}/*
%{_libdir}/%{name}
%{_libdir}/wxSmithContribItems
%{_mandir}/man1/*.1*
%{_datadir}/applications/codeblocks.desktop
%{_datadir}/%{name}
%{_iconsdir}/*/*/*/*
%{_datadir}/mime/packages/codeblocks.xml
%{_datadir}/pixmaps/codeblocks.png

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/*.*a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*




%changelog
* Thu Mar 24 2011 ennael <ennael> 10.05-2.mga1
+ Revision: 76879
- clean spec file
- imported package codeblocks


* Sat Sep 18 2010 Funda Wang <fwang@mandriva.org> 10.05-2mdv2011.0
+ Revision: 579500
- rebuild
- drop unused lines

* Wed Aug 04 2010 Funda Wang <fwang@mandriva.org> 10.05-1mdv2011.0
+ Revision: 565643
- new version 10.05
- all patches have been merged upstream

  + Emmanuel Andry <eandry@mandriva.org>
    - suggests gcc-c++

* Mon Jan 11 2010 Funda Wang <fwang@mandriva.org> 8.02-3mdv2010.1
+ Revision: 489781
- sync with fedora patches

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 8.02-2mdv2009.0
+ Revision: 266537
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri May 02 2008 Adam Williamson <awilliamson@mandriva.org> 8.02-1mdv2009.0
+ Revision: 199981
- buildrequires imagemagick
- drop all the autotools stuff, it's not needed
- remove all the excess junk from description
- clean file list
- reorder spec
- clean spec

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - New version 8.02

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Dec 08 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0-0.rc2.1mdv2008.1
+ Revision: 116483
- Fix BR
- Fix Group
- import codeblocks


